Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DirectRadamec Class Reference
Inheritance diagram for DirectRadamec:

## Public Member Functions
| __init__ (self, device='Analog0', nodePath=None)
| destroy (self)
| disable (self)
| enable (self)
| normalizeChannel (self, chan, minVal=-1, maxVal=1)
| radamecDebug (self)
| updateTask (self, state)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
list | aList = [0, 0, 0, 0, 0, 0, 0, 0]
| analogs = base.direct.deviceManager.createAnalogs(self.device)
| device = device
list | maxRange = [180.0, 90, 547074.0, 533984.0]
list | minRange = [-180.0, -90, 522517.0, 494762.0]
str | name = 'Radamec-' + repr(DirectRadamec.radamecCount)
| numAnalogs = len(self.analogs)
| updateTask

## Static Public Attributes
| notify = DirectNotifyGlobal.directNotify.newCategory('DirectRadamec')
int | radamecCount = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | device = 'Analog0',
|  |  | nodePath = None )

## Member Function Documentation

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ disable()

disable | ( |  | self | ) |

## ◆ enable()

enable | ( |  | self | ) |

## ◆ normalizeChannel()

normalizeChannel | ( |  | self,
|  |  | chan,
|  |  | minVal = -1,
|  |  | maxVal = 1 )

## ◆ radamecDebug()

radamecDebug | ( |  | self | ) |

## ◆ updateTask()

updateTask | ( |  | self,
|  |  | state )

## Member Data Documentation

## ◆ aList

list aList = [0, 0, 0, 0, 0, 0, 0, 0]

## ◆ analogs

analogs = base.direct.deviceManager.createAnalogs(self.device)

## ◆ device

device = device

## ◆ maxRange

list maxRange = [180.0, 90, 547074.0, 533984.0]

## ◆ minRange

list minRange = [-180.0, -90, 522517.0, 494762.0]

## ◆ name

str name = 'Radamec-' + repr(DirectRadamec.radamecCount)

## ◆ notify

notify = DirectNotifyGlobal.directNotify.newCategory('DirectRadamec')
| static

## ◆ numAnalogs

numAnalogs = len(self.analogs)

## ◆ radamecCount

int radamecCount = 0
| static

## ◆ updateTask

updateTask